> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 日次消費量を取得

> Enterprise 全体の 1 日あたりの ACU 利用量を取得します。

合計 ACU 数と、日ごとの利用量の内訳を返します。

**タイムゾーンの動作**: 課金サイクルにおいては、1 日の境界として PST（Pacific Standard Time）の午前 0 時を使用します。これは UTC では 08:00:00 に相当します。Devin ダッシュボードに表示される利用データと整合させるには、このタイムゾーンのオフセットに合わせた Unix タイムスタンプを指定してください（例: 2025 年 12 月 5 日 PST の午前 0 時は 1733385600）。

<div id="product-level-breakdown">
  ## プロダクトレベルの内訳
</div>

レスポンス内の各日付エントリには、合計 ACU 消費量をプロダクト別（`devin`、`cascade`、`terminal`）に分解した `acus_by_product` オブジェクトが含まれます。これにより、各日におけるプロダクトごとの消費量の分布を確認できます。特定のプロダクトについてプロダクトレベルのデータが利用できない場合、その値はデフォルトで `0.0` に設定されます。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountConsumption` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/consumption/daily
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/consumption/daily:
    get:
      tags:
        - consumption
      summary: 日次消費量を取得
      description: >-
        Enterprise 全体の 1 日あたりの ACU 利用量を取得します。


        合計 ACU 数と、日ごとの利用量の内訳を返します。


        **タイムゾーンの動作**: 課金サイクルにおいては、1 日の境界として PST（Pacific Standard Time）の午前 0
        時を使用します。これは UTC では 08:00:00 に相当します。Devin
        ダッシュボードに表示される利用データと整合させるには、このタイムゾーンのオフセットに合わせた Unix タイムスタンプを指定してください（例:
        2025 年 12 月 5 日 PST の午前 0 時は 1733385600）。
      operationId: handle_get_consumption_daily_v3_enterprise_consumption_daily_get
      parameters:
        - in: query
          name: time_before
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time Before
        - in: query
          name: time_after
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time After
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    ConsumptionResponse:
      properties:
        consumption_by_date:
          items:
            $ref: '#/components/schemas/ConsumptionByDateResponse'
          title: Consumption By Date
          type: array
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
      title: ConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConsumptionByDateResponse:
      properties:
        acus:
          title: Acus
          type: number
        acus_by_product:
          $ref: '#/components/schemas/AcusByProduct'
        date:
          title: Date
          type: integer
      required:
        - date
        - acus
        - acus_by_product
      title: ConsumptionByDateResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AcusByProduct:
      properties:
        cascade:
          title: Cascade
          type: number
        devin:
          title: Devin
          type: number
        review:
          anyOf:
            - type: number
            - type: 'null'
          title: Review
        terminal:
          title: Terminal
          type: number
      required:
        - devin
        - cascade
        - terminal
      title: AcusByProduct
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````